J2me+android+blackberry

vital

Больной Компом Детектед
29.01.2006
2 432
40
codeby.net
#1
Собсно вот под сабж до конца августа мне надо начать писать. Приоритет на j2me. Посоветуйте что читать, в чем писать, и вообще, дайте стартовый пинок.
И еще, что бы не мучаться с каждой платформой, вроде как есть фреймворк j2me polish. Видел его кто-нить? Стоит он того, что бы его покупать?
<div class="sp-wrap"><div class="sp-head-wrap"><div class="sp-head folded clickable"> писать вот под эти телефоны, если точно</div></div><div class="sp-body"><div class="sp-content">• Samsung F480; Samsung I6410; Samsung I8320; Samsung S8300; Samsung u900; Samsung S3650; Samsung I8330

• Sony Ericsson C905; Sony Ericsson W715v; Sony Ericsson Satio; Sony Ericsson C902; Sony Ericsson W595; Sony Ericsson K770i; Sony Ericsson K800; Sony Ericsson W995; Sony Ericsson Vivaz; SonyEricsson W910i


• Nokia N97 mini; Nokia 5800; Nokia N73; Nokia 6131; Nokia 6500classic; Nokia X6; Nokia 5230; Nokia E66; Nokia N95

• LG KU 990; LG KM900

• HTC Magic

• BlackBerry Storm
 

vital

Больной Компом Детектед
29.01.2006
2 432
40
codeby.net
#2
ПРичем, IDE в иделе кроссплатформенную. Или линуховую. Ибо волею судьбы я сейчас на убунте. Ставлю себе фул еклипс. Однако там целая куча каких-то яв.. Хрен поймешь какая надо=)
 
04.09.2006
2 566
2
Минск
#4
Тебе нужно JDK 6 и Java ME SDK 3.0:
http://java.sun.com/javase/downloads/widget/jdk6.jsp
http://java.sun.com/javame/downloads/sdk30.jsp
ПРичем, IDE в иделе кроссплатформенную. Или линуховую.
Из бесплатных Eclipse или NetBeans. Из платных IntelliJ IDEA.
И еще, что бы не мучаться с каждой платформой, вроде как есть фреймворк j2me polish. Видел его кто-нить?
В живую не видел, но читал доки. Мне не понравилось. Твой выбор LWUIT:
Чтобы видеть этот контент необходимо: Войти или зарегистрироваться

http://lwuit.blogspot.com/

Вот тебе стартовый пинок. Пиши в Скайп - помогу
 

vital

Больной Компом Детектед
29.01.2006
2 432
40
codeby.net
#5
Тебе нужно JDK 6 и Java ME SDK 3.0:
Спасибо за ссылки, но что мне нуна ява я и сам догадался). Сдк только поставил 2.5.2 т.к 3.0 под линух нету. Яву шестую тоже поставил. К Еклипсу прикрутил, даже свой хелловорлд сделал. Ничего не писал, так со схемами этими побаловался=) Хз как они называются. Первое впечатление - почти дельфи, только не совсем понял как делать интерфейсы=)

Про фреймворк посмтрю, спасибо. В скайп напишу, ага=)
 
04.09.2006
2 566
2
Минск
#6
но что мне нуна ява я и сам догадался)
Какие мы избирательные...
Смотри сам... 3.0 намного расширен по сравнению с 2.5.2. Нужно видеть твою спецификацию чтобы что-то советовать. Но писать серьезное приложение под такое количество девайсов на JavaME это почти как подписать приговор
 

vital

Больной Компом Детектед
29.01.2006
2 432
40
codeby.net
#9
Спасибо, уже читаю. Авось осилю англ вариант. Боюсь, что будет много терминов=(